package de.duehl.math.graph.ged.animation;

import java.util.ArrayList;
import java.util.List;

import de.duehl.math.graph.ged.animation.io.AnimationSaver;
import de.duehl.math.graph.ged.graph.Graph;
import de.duehl.math.graph.ged.graph.vertex.Vertex;

public class AlgorithmGraph {

    protected Graph graph = new Graph();

    protected boolean underConstruction = true;

    private List<Graph> graphs = new ArrayList<>();

    public void addVertex(int x, int y) {
        if (underConstruction) {
            Vertex vertex = new Vertex();
            vertex.setX(x);
            vertex.setY(y);
            graph.addVertex(vertex);
        }
        else {
            throw new RuntimeException("Nicht mehr in der Konstrutkionsphase!");
        }
    }

    public void addEdge(int startVertexIndex, int targetVertexIndex) {
        if (underConstruction) {
            graph.addEdge(startVertexIndex, targetVertexIndex);
        }
        else {
            throw new RuntimeException("Nicht mehr in der Konstrutkionsphase!");
        }
    }

    public void constructionCompleted() {
        if (underConstruction) {
            underConstruction = false;
            storeStep();
        }
        else {
            throw new RuntimeException("Nicht mehr in der Konstrutkionsphase!");
        }
    }

    protected void storeStep() {
        if (underConstruction) {
            throw new RuntimeException("Noch in der Konstrutkionsphase!");
        }
        else {
            Graph step = new Graph(graph);
            graphs.add(step);
        }
    }

    public List<Graph> getGraphs() {
        if (underConstruction) {
            throw new RuntimeException("Noch in der Konstrutkionsphase!");
        }
        else {
            return graphs;
        }
    }

    public void saveAnimation(String filename) {
        if (underConstruction) {
            throw new RuntimeException("Noch in der Konstrutkionsphase!");
        }
        else {
            AnimationSaver saver = new AnimationSaver();
            saver.save(graphs, filename);
        }
    }

}
