package de.duehl.math.graph.ged.start;

import de.duehl.basics.logic.Version;
import de.duehl.math.graph.ged.GedVersion;
import de.duehl.math.graph.ged.logic.GedLogic;
import de.duehl.math.graph.ged.ui.dialogs.GraphErrorDialog;
import de.duehl.swing.ui.dialogs.ErrorDialog;

/**
 * Diese Klasse startet das Programm.
 *
 * @version 1.01     2019-05-22
 * @author Christian Dühl
 */

public class Ged {

    /** Startpunkt des Programms. */
    public static void main(String[] args) {
        Version version = new GedVersion().getVersion();
        try {
            new GedLogic(version);
        }
        catch (Exception exception) {
            handleException(exception);
        }
    }

    private static void handleException(Exception exception) {
        String message = "Es ist ein nicht abgefangener Fehler beim Start des Programms "
                + "aufgetreten!";
        ErrorDialog dialog = new GraphErrorDialog(message, exception/*, Color.BLACK,
                Color.LIGHT_GRAY*/);
        dialog.setVisible(true);
    }

}
