package de.duehl.math.graph.ged.ui;

import java.awt.Image;
import java.awt.Point;

import javax.swing.JButton;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;

import de.duehl.math.graph.ged.ui.graphpanel.GraphPanel;

/**
 * Diese Klasse enthält die Elemente der grafischen Oberfläche, die an unterschiedlichen Stellen
 * gebraucht werden.
 *
 * @version 1.01     2019-07-02
 * @author Christian Dühl
 */

public class GuiElements {

    /** Zugrundeliegender Frame in dem die Anwendung läuft. */
    private JFrame frame;

    /** Panel, in dem der Graph dargestellt wird. */
    private GraphPanel graphPanel;

    /** Label mit der Beschreibung des Modus, wird rechts oben angezeigt. */
    private JLabel modusDescriptionLabel;

    /** Status-Label, wird unten in der Statuszeile angezeigt. */
    private JLabel statusLabel;

    /** Änderungslabel, wird rechts unten als * oder nicht * angezeigt. */
    private JLabel changeLabel;

    /** Menüeintrag zur vorigen Version aus der Historie. */
    private JMenuItem previousHistoryMenuItem;

    /** Menüeintrag zur nächsten Version aus der Historie. */
    private JMenuItem nextHistoryMenuItem;

    /** Button zur vorigen Version aus der Historie. */
    private JButton previousButton;

    /** Button zur nächsten Version aus der Historie. */
    private JButton nextButton;

    /** Menüleiste. */
    private JMenuBar menuBar;

    /** CheckBox im Menü zum Umschalten, ob das Grid angezeigt wird. */
    private JCheckBoxMenuItem showGridCheckBox;

    /** CheckBox im Menü, ob Ecken in das Gitter einrasten sollen. */
    private JCheckBoxMenuItem snapInGridCheckBox;

    /** Anzeige für die Größe der Bearbeitungsfläche. */
    private JLabel sizeLabel;

    /** Icon des Programm. */
    private Image programImage;

    /** Bereich mit den drei oder zwei Einfüge-Buttons für Ecke und Kanten. */
    private JPanel insertEdgeModusButtonPanel;


    /* Getter und Setter */


    public JFrame getFrame() {
        return frame;
    }

    public Point getFrameLocation() {
        return frame.getLocation();
    }

    public void setFrame(JFrame frame) {
        this.frame = frame;
    }

    public GraphPanel getGraphPanel() {
        return graphPanel;
    }

    public void setGraphPanel(GraphPanel graphPanel) {
        this.graphPanel = graphPanel;
    }

    public JLabel getModusDescriptionLabel() {
        return modusDescriptionLabel;
    }

    public void setModusDescriptionLabel(JLabel modusDescriptionLabel) {
        this.modusDescriptionLabel = modusDescriptionLabel;
    }

    public JLabel getStatusLabel() {
        return statusLabel;
    }

    public void setStatusLabel(JLabel statusLabel) {
        this.statusLabel = statusLabel;
    }

    public JLabel getChangeLabel() {
        return changeLabel;
    }

    public void setChangeLabel(JLabel changeLabel) {
        this.changeLabel = changeLabel;
    }

    public JMenuItem getPreviousHistoryMenuItem() {
        return previousHistoryMenuItem;
    }

    public void setPreviousHistoryMenuItem(JMenuItem previousHistoryMenuItem) {
        this.previousHistoryMenuItem = previousHistoryMenuItem;
    }

    public JMenuItem getNextHistoryMenuItem() {
        return nextHistoryMenuItem;
    }

    public void setNextHistoryMenuItem(JMenuItem nextHistoryMenuItem) {
        this.nextHistoryMenuItem = nextHistoryMenuItem;
    }

    public JButton getPreviousButton() {
        return previousButton;
    }

    public void setPreviousButton(JButton previousButton) {
        this.previousButton = previousButton;
    }

    public JButton getNextButton() {
        return nextButton;
    }

    public void setNextButton(JButton nextButton) {
        this.nextButton = nextButton;
    }

    public JMenuBar getMenuBar() {
        return menuBar;
    }

    public void setMenuBar(JMenuBar menuBar) {
        this.menuBar = menuBar;
    }

    public JCheckBoxMenuItem getShowGridCheckBox() {
        return showGridCheckBox;
    }

    public void setShowGridCheckBox(JCheckBoxMenuItem showGridCheckBox) {
        this.showGridCheckBox = showGridCheckBox;
    }

    public JCheckBoxMenuItem getSnapInGridCheckBox() {
        return snapInGridCheckBox;
    }

    public void setSnapInGridCheckBox(JCheckBoxMenuItem snapInGridCheckBox) {
        this.snapInGridCheckBox = snapInGridCheckBox;
    }

    public JLabel getSizeLabel() {
        return sizeLabel;
    }

    public void setSizeLabel(JLabel sizeLabel) {
        this.sizeLabel = sizeLabel;
    }

    public Image getProgramImage() {
        return programImage;
    }

    public void setProgramImage(Image programImage) {
        this.programImage = programImage;
    }

    public JPanel getInsertEdgeModusButtonPanel() {
        return insertEdgeModusButtonPanel;
    }

    public void setInsertEdgeModusButtonPanel(JPanel insertModusButtonPanel) {
        this.insertEdgeModusButtonPanel = insertModusButtonPanel;
    }

}
