package de.duehl.math.graph.ged.ui.dialogs;

import java.awt.Component;
import java.awt.Image;

import de.duehl.basics.logging.Logger;
import de.duehl.math.graph.ged.graph.Graph;
import de.duehl.math.graph.ged.ui.GuiElements;
import de.duehl.swing.ui.dialogs.ErrorDialog;
import de.duehl.swing.ui.elements.DisabledGlassPane;
import de.duehl.swing.ui.handler.error.GlassPaneDeactivatingErrorHandler;

public class GraphGlassPaneDeactivatingErrorHandler extends GlassPaneDeactivatingErrorHandler {

    private final Graph graph;
    private final GuiElements elements;

    public GraphGlassPaneDeactivatingErrorHandler(Image programImage, Component parentComponent,
            DisabledGlassPane glassPane, Logger logger, Graph graph, GuiElements elements) {
        super(programImage, parentComponent, glassPane, logger);
        this.graph = graph;
        this.elements = elements;
    }

    /**
     * Erstellt den Dialog zur Anzeige des Fehlers. Diese Methode kann überschrieben werden, um
     * abgeleitete Klassen von ErrorDialog zu verwenden.
     */
    @Override
    protected ErrorDialog createErrorDialog(String message, Exception exception) {
        //return new ErrorDialog(message, exception, elements.getProgramImage(), calculateLocation());
        return new GraphErrorDialog(message, exception, graph, elements.getProgramImage(),
                logger.getLogFileName(), calculateLocation());
    }

}
