package de.duehl.math.graph.ged.ui.elements;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.border.BevelBorder;
import javax.swing.border.Border;

import de.duehl.math.graph.ged.ui.GuiElements;
import de.duehl.math.graph.ged.ui.graphpanel.EditModus;
import de.duehl.math.graph.ged.ui.graphpanel.GraphPanel;

/**
 * Diese Klasse aktiviert einen Bearbeitungsmodus.
 *
 * @version 1.01     2019-06-14
 * @author Christian Dühl
 */

public class ModusActivator {

    public static final Border LOWERED_BORDER = BorderFactory
            .createBevelBorder(BevelBorder.LOWERED);
    public static final Border RAISED_BORDER = BorderFactory.createBevelBorder(BevelBorder.RAISED);

    private final GuiElements elements;

    public ModusActivator(GuiElements elements) {
        this.elements = elements;
    }

    public void activate(EditModus modus) {

        GraphPanel graphPanel = elements.getGraphPanel();
        graphPanel.setModus(modus);
        setDescription(modus);
        for (EditModus eachModus : EditModus.values()) {
            eachModus.setButtonBorder(RAISED_BORDER);
        }
        modus.setButtonBorder(LOWERED_BORDER);
        modus.selectToggleButton();
    }

    /** Setzt die Erklärung des Bearbeitungsmodus. */
    private void setDescription(EditModus modus) {
        JLabel modusDescription = elements.getModusDescriptionLabel();
        modusDescription.setText(modus.getDescription());
    }

}
