package de.duehl.math.geometry.discrete;

/*
 * Copyright 2017 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import static org.junit.Assert.*;

import org.junit.Test;

public class FiniteProjectivePlaneTest {

    @Test
    public void anzahlGeradenOrdnung2Static() {
        int ordnung = 2;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenOrdnung3Static() {
        int ordnung = 3;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenOrdnung4Static() {
        int ordnung = 4;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenOrdnung5Static() {
        int ordnung = 5;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenOrdnung7Static() {
        int ordnung = 7;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenOrdnung8Static() {
        int ordnung = 8;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLines(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung2Static() {
        int ordnung = 2;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung3Static() {
        int ordnung = 3;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung4Static() {
        int ordnung = 4;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung5Static() {
        int ordnung = 5;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung7Static() {
        int ordnung = 7;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOrdnung8Static() {
        int ordnung = 8;
        int excpected = ordnung * ordnung + ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPoints(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine2Static() {
        int ordnung = 8;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine3Static() {
        int ordnung = 3;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine4Static() {
        int ordnung = 4;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine5Static() {
        int ordnung = 5;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine7Static() {
        int ordnung = 7;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void numberOfPointsOnEachLine8Static() {
        int ordnung = 8;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfPointsOnEachLine(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt2Static() {
        int ordnung = 2;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt3Static() {
        int ordnung = 3;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt4Static() {
        int ordnung = 4;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt5Static() {
        int ordnung = 5;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt7Static() {
        int ordnung = 7;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

    @Test
    public void anzahlGeradenDurchJedenPunkt8Static() {
        int ordnung = 8;
        int excpected = ordnung + 1;
        int actual = FiniteProjectivePlane.numberOfLinesThroughEachPoint(ordnung);
        assertEquals(excpected, actual);
    }

//    @Test
//    public void anzahlGeradenOrdnung2() {
//        int ordnung = 2;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenOrdnung3() {
//        int ordnung = 3;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenOrdnung4() {
//        int ordnung = 4;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenOrdnung5() {
//        int ordnung = 5;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenOrdnung7() {
//        int ordnung = 7;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenOrdnung8() {
//        int ordnung = 8;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfLines();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung2() {
//        int ordnung = 2;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung3() {
//        int ordnung = 3;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung4() {
//        int ordnung = 4;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung5() {
//        int ordnung = 5;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung7() {
//        int ordnung = 7;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOrdnung8() {
//        int ordnung = 8;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung * ordnung + ordnung + 1;
//        int actual = ebene.numberOfPoints();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine2() {
//        int ordnung = 8;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine3() {
//        int ordnung = 3;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine4() {
//        int ordnung = 4;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine5() {
//        int ordnung = 5;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine7() {
//        int ordnung = 7;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void numberOfPointsOnEachLine8() {
//        int ordnung = 8;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfPointsOnEachLine();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt2() {
//        int ordnung = 2;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt3() {
//        int ordnung = 3;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt4() {
//        int ordnung = 4;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt5() {
//        int ordnung = 5;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt7() {
//        int ordnung = 7;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }
//
//    @Test
//    public void anzahlGeradenDurchJedenPunkt8() {
//        int ordnung = 8;
//        FiniteProjectivePlane ebene = new FiniteProjectivePlane(ordnung);
//        int excpected = ordnung + 1;
//        int actual = ebene.numberOfLinesThroughEachPoint();
//        assertEquals(excpected, actual);
//    }

}
