package de.duehl.swing.ui.colors;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import static org.junit.Assert.*;

import java.awt.Color;

import org.junit.Test;

import de.duehl.swing.ui.colors.ColorTool;

public class ColorToolTest {

    @Test
    public void create() {
        ColorTool tool = new ColorTool();
        assertNotNull(tool);
    }

    @Test
    public void javaColorToHexColor1() {
        ColorTool tool = new ColorTool();
        Color color = Color.RED;
        String expected = "FF0000";
        String actual = tool.javaColorToHexColor(color);
        assertEquals(expected, actual);
    }

    @Test
    public void javaColorToHexColor2() {
        ColorTool tool = new ColorTool();
        Color color = Color.WHITE;
        String expected = "FFFFFF";
        String actual = tool.javaColorToHexColor(color);
        assertEquals(expected, actual);
    }

    @Test
    public void javaColorToHexColor3() {
        ColorTool tool = new ColorTool();
        Color color = Color.BLACK;
        String expected = "000000";
        String actual = tool.javaColorToHexColor(color);
        assertEquals(expected, actual);
    }

    @Test
    public void hexColorToJavaColor1() {
        ColorTool tool = new ColorTool();
        String color = "FF0000";
        Color expected = Color.RED;
        Color actual = tool.hexColorToJavaColor(color);
        assertEquals(expected, actual);
    }

    @Test
    public void hexColorToJavaColor2() {
        ColorTool tool = new ColorTool();
        String color = "FFFFFF";
        Color expected = Color.WHITE;
        Color actual = tool.hexColorToJavaColor(color);
        assertEquals(expected, actual);
    }

    @Test
    public void hexColorToJavaColor3() {
        ColorTool tool = new ColorTool();
        String color = "000000";
        Color expected = Color.BLACK;
        Color actual = tool.hexColorToJavaColor(color);
        assertEquals(expected, actual);
    }

}
